Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575015 - memaker: "ImportError: No module named xdg" (missing dependency)
Summary: memaker: "ImportError: No module named xdg" (missing dependency)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: memaker
Version: 28
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 14:20 UTC by Steven Bakker
Modified: 2018-05-27 19:31 UTC (History)
1 user (show)

Fixed In Version: memaker-20100110-17.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-27 19:31:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Steven Bakker 2018-05-04 14:20:01 UTC
Description of problem:

After installing installing "memaker", when I try to run it, I get a stack trace from Python:

    INFO:root:python-launchpadlib not found!
    Traceback (most recent call last):
      File "/usr/bin/memaker", line 55, in <module>
        from MeMaker.app import MeMakerApp
      File "/usr/lib/python2.7/site-packages/MeMaker/app.py", line 41, in <module>
        from utils.paths import MeMakerPaths
      File "/usr/lib/python2.7/site-packages/MeMaker/utils/paths.py", line 23, in <module>
        from xdg import BaseDirectory as xdg
    ImportError: No module named xdg

It seems that python2-pyxdg is missing from Requires list of the package.

Version-Release number of selected component (if applicable):

memaker-20100110-15.fc28.noarch

How reproducible:

Always

Steps to Reproduce:
1. sudo dnf install memaker
2. memaker

Actual results:

Stack trace from Python, ending in "ImportError: No module named xdg"

Expected results:

A "memaker" window on my desktop.

Additional info:

Workaround is to install python2-pyxdg manually:

   sudo dnf install python2-pyxdg

Comment 1 Ankur Sinha (FranciscoD) 2018-05-15 18:34:28 UTC
I've added the dep and am pushing an update now. Please note that upstream for memaker seems inactive, so if any bugs crop up in the future, we may need to just drop the package.

Comment 2 Fedora Update System 2018-05-15 19:34:26 UTC
memaker-20100110-17.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec6c9ade98

Comment 3 Fedora Update System 2018-05-16 03:27:57 UTC
memaker-20100110-17.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec6c9ade98

Comment 4 Fedora Update System 2018-05-27 19:31:04 UTC
memaker-20100110-17.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.